<div class="d-flex justify-content-between mt-5">
  <div class="sub-head">Department List</div>
  <%= link_to "Add", new_department_path, class: "btn btn-primary btn-blue" %>
</div>

<div class="table-responsive mt-5">
  <table class="table table-striped table-borderless table-custom">
    <thead class="table-purple">
      <tr>
        <th scope="col">Faculty</th>
        <th scope="col">Program/Course</th>
        <th scope="col">Subject</th>
        <th scope="col">Faculty Details</th>
        <th scope="col">Student Details</th>
        <th scope="col">Fee Details</th>
        <th scope="col">Actions</th>
      </tr>
    </thead>
    <tbody>
      <% @departments.each do |department| %>
        <tr>
          <td><%= department.department_list.try(:name) %></td>
          <td><%= department.program.try(:name) %></td>
          <td><%= department.subject.try(:name) %></td>
          <td>
            <%= render 'faculty_table', :department => department %>
          </td>
          <td>
            <%= render 'student_table', :department => department %>
          </td>
          <td>
            <%= render 'fee_structure_table', :department => department %>
          </td>
          <td>
            <%= link_to image_tag("edit.svg", class: "btn btn-bg btn-edit"), edit_department_path(department) %>
            <%= link_to image_tag("delete.svg", class: "btn btn-bg"), department_path(department), data: { turbo_method: :delete, confirm: 'Are you sure?' } %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>
